#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'xsldbgbreakpoints.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "xsldbgbreakpoints.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqlabel.h>
#include <ntqlineedit.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a XsldbgBreakpoints as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
XsldbgBreakpoints::XsldbgBreakpoints( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "XsldbgBreakpoints" );
    XsldbgBreakpointsLayout = new TQVBoxLayout( this, 11, 6, "XsldbgBreakpointsLayout"); 

    breakpointListView = new TQListView( this, "breakpointListView" );
    breakpointListView->addColumn( tr2i18n( "ID" ) );
    breakpointListView->addColumn( tr2i18n( "Name" ) );
    breakpointListView->addColumn( tr2i18n( "Mode" ) );
    breakpointListView->addColumn( tr2i18n( "File Name" ) );
    breakpointListView->addColumn( tr2i18n( "Line Number" ) );
    breakpointListView->addColumn( tr2i18n( "Enabled" ) );
    breakpointListView->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)3, 0, 0, breakpointListView->sizePolicy().hasHeightForWidth() ) );
    XsldbgBreakpointsLayout->addWidget( breakpointListView );

    Layout7 = new TQHBoxLayout( 0, 0, 6, "Layout7"); 

    Layout6 = new TQGridLayout( 0, 1, 1, 0, 6, "Layout6"); 

    idLabel = new TQLabel( this, "idLabel" );

    Layout6->addWidget( idLabel, 0, 0 );

    lineNumberLabel = new TQLabel( this, "lineNumberLabel" );

    Layout6->addWidget( lineNumberLabel, 4, 0 );

    sourceFileEdit = new TQLineEdit( this, "sourceFileEdit" );

    Layout6->addWidget( sourceFileEdit, 3, 1 );

    templateNameEdit = new TQLineEdit( this, "templateNameEdit" );

    Layout6->addWidget( templateNameEdit, 1, 1 );

    Layout7_2 = new TQHBoxLayout( 0, 0, 6, "Layout7_2"); 

    lineNumberEdit = new TQLineEdit( this, "lineNumberEdit" );
    lineNumberEdit->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, lineNumberEdit->sizePolicy().hasHeightForWidth() ) );
    lineNumberEdit->setMaximumSize( TQSize( 60, 32767 ) );
    Layout7_2->addWidget( lineNumberEdit );
    Spacer10_2 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout7_2->addItem( Spacer10_2 );

    Layout6->addLayout( Layout7_2, 4, 1 );

    Layout5 = new TQHBoxLayout( 0, 0, 6, "Layout5"); 

    idEdit = new TQLineEdit( this, "idEdit" );
    idEdit->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, idEdit->sizePolicy().hasHeightForWidth() ) );
    idEdit->setMaximumSize( TQSize( 60, 32767 ) );
    Layout5->addWidget( idEdit );
    Spacer10 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout5->addItem( Spacer10 );

    Layout6->addLayout( Layout5, 0, 1 );

    modeNameEdit = new TQLineEdit( this, "modeNameEdit" );

    Layout6->addWidget( modeNameEdit, 2, 1 );

    TextLabel1_2 = new TQLabel( this, "TextLabel1_2" );

    Layout6->addWidget( TextLabel1_2, 2, 0 );

    TextLabel1 = new TQLabel( this, "TextLabel1" );

    Layout6->addWidget( TextLabel1, 1, 0 );

    sourceFileLabel = new TQLabel( this, "sourceFileLabel" );

    Layout6->addWidget( sourceFileLabel, 3, 0 );
    Layout7->addLayout( Layout6 );
    Spacer9 = new TQSpacerItem( 81, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    Layout7->addItem( Spacer9 );
    Spacer7 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    Layout7->addItem( Spacer7 );
    XsldbgBreakpointsLayout->addLayout( Layout7 );
    Spacer8_2_2 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Fixed );
    XsldbgBreakpointsLayout->addItem( Spacer8_2_2 );

    layout18 = new TQGridLayout( 0, 1, 1, 0, 6, "layout18"); 

    deleteButton = new TQPushButton( this, "deleteButton" );

    layout18->addWidget( deleteButton, 0, 1 );

    PushButton5 = new TQPushButton( this, "PushButton5" );

    layout18->addWidget( PushButton5, 1, 2 );

    addAllButton = new TQPushButton( this, "addAllButton" );

    layout18->addWidget( addAllButton, 1, 0 );

    deleteAllButton = new TQPushButton( this, "deleteAllButton" );

    layout18->addWidget( deleteAllButton, 1, 1 );

    enableButton = new TQPushButton( this, "enableButton" );

    layout18->addWidget( enableButton, 0, 2 );

    addButton = new TQPushButton( this, "addButton" );

    layout18->addWidget( addButton, 0, 0 );
    XsldbgBreakpointsLayout->addLayout( layout18 );
    Spacer8_2 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Fixed );
    XsldbgBreakpointsLayout->addItem( Spacer8_2 );

    Layout3 = new TQHBoxLayout( 0, 0, 6, "Layout3"); 
    Spacer4 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout3->addItem( Spacer4 );

    refreshBtn = new TQPushButton( this, "refreshBtn" );
    Layout3->addWidget( refreshBtn );
    Spacer5 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout3->addItem( Spacer5 );
    XsldbgBreakpointsLayout->addLayout( Layout3 );
    languageChange();
    resize( TQSize(498, 563).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( breakpointListView, TQ_SIGNAL( selectionChanged(TQListViewItem*) ), this, TQ_SLOT( selectionChanged(TQListViewItem*) ) );
    connect( addButton, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotAddBreakpoint() ) );
    connect( deleteButton, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotDeleteBreakpoint() ) );
    connect( enableButton, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotEnableBreakpoint() ) );
    connect( refreshBtn, TQ_SIGNAL( clicked() ), this, TQ_SLOT( refresh() ) );
    connect( PushButton5, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotClear() ) );
    connect( addAllButton, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotAddAllTemplateBreakpoints() ) );
    connect( deleteAllButton, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotDeleteAllBreakpoints() ) );

    // tab order
    setTabOrder( breakpointListView, idEdit );
    setTabOrder( idEdit, sourceFileEdit );
    setTabOrder( sourceFileEdit, lineNumberEdit );
    setTabOrder( lineNumberEdit, addButton );
    setTabOrder( addButton, deleteButton );
    setTabOrder( deleteButton, enableButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
XsldbgBreakpoints::~XsldbgBreakpoints()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void XsldbgBreakpoints::languageChange()
{
    setCaption( tr2i18n( "Xsldbg Breakpoints" ) );
    breakpointListView->header()->setLabel( 0, tr2i18n( "ID" ) );
    breakpointListView->header()->setLabel( 1, tr2i18n( "Name" ) );
    breakpointListView->header()->setLabel( 2, tr2i18n( "Mode" ) );
    breakpointListView->header()->setLabel( 3, tr2i18n( "File Name" ) );
    breakpointListView->header()->setLabel( 4, tr2i18n( "Line Number" ) );
    breakpointListView->header()->setLabel( 5, tr2i18n( "Enabled" ) );
    TQToolTip::add( breakpointListView, tr2i18n( "Click breakpoint in list to modify or delete it" ) );
    idLabel->setText( tr2i18n( "ID:" ) );
    lineNumberLabel->setText( tr2i18n( "Line number:" ) );
    TQToolTip::add( sourceFileEdit, tr2i18n( "You don't need to specify directory for file name" ) );
    TQToolTip::add( templateNameEdit, tr2i18n( "Template name or match name to look for" ) );
    TQToolTip::add( lineNumberEdit, tr2i18n( "Must be positive" ) );
    TQToolTip::add( idEdit, tr2i18n( "Must be positive" ) );
    TextLabel1_2->setText( tr2i18n( "Mode:" ) );
    TextLabel1->setText( tr2i18n( "Name:" ) );
    sourceFileLabel->setText( tr2i18n( "File name:" ) );
    deleteButton->setText( tr2i18n( "Delete" ) );
    TQToolTip::add( deleteButton, tr2i18n( "Delete breakpoint using ID" ) );
    PushButton5->setText( tr2i18n( "Clear" ) );
    TQToolTip::add( PushButton5, tr2i18n( "Clear entered text" ) );
    addAllButton->setText( tr2i18n( "Add All" ) );
    TQToolTip::add( addAllButton, tr2i18n( "Add breakpoint on all templates found" ) );
    deleteAllButton->setText( tr2i18n( "Delete All" ) );
    TQToolTip::add( deleteAllButton, tr2i18n( "Delete all breakpoints" ) );
    enableButton->setText( tr2i18n( "Enable" ) );
    TQToolTip::add( enableButton, tr2i18n( "Enable breakpoint using ID" ) );
    addButton->setText( tr2i18n( "Add" ) );
    TQToolTip::add( addButton, tr2i18n( "Add breakpoint using file name with line number or a template name" ) );
    refreshBtn->setText( tr2i18n( "Refresh" ) );
}

void XsldbgBreakpoints::slotClear()
{
    tqWarning( "XsldbgBreakpoints::slotClear(): Not implemented yet" );
}

void XsldbgBreakpoints::refresh()
{
    tqWarning( "XsldbgBreakpoints::refresh(): Not implemented yet" );
}

void XsldbgBreakpoints::selectionChanged(TQListViewItem*)
{
    tqWarning( "XsldbgBreakpoints::selectionChanged(TQListViewItem*): Not implemented yet" );
}

void XsldbgBreakpoints::slotAddBreakpoint()
{
    tqWarning( "XsldbgBreakpoints::slotAddBreakpoint(): Not implemented yet" );
}

void XsldbgBreakpoints::slotDeleteBreakpoint()
{
    tqWarning( "XsldbgBreakpoints::slotDeleteBreakpoint(): Not implemented yet" );
}

void XsldbgBreakpoints::slotEnableBreakpoint()
{
    tqWarning( "XsldbgBreakpoints::slotEnableBreakpoint(): Not implemented yet" );
}

void XsldbgBreakpoints::slotAddAllTemplateBreakpoints()
{
    tqWarning( "XsldbgBreakpoints::slotAddAllTemplateBreakpoints(): Not implemented yet" );
}

void XsldbgBreakpoints::slotDeleteAllBreakpoints()
{
    tqWarning( "XsldbgBreakpoints::slotDeleteAllBreakpoints(): Not implemented yet" );
}

/****************************************************************************
** XsldbgBreakpoints meta object code from reading C++ file 'xsldbgbreakpoints.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "xsldbgbreakpoints.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *XsldbgBreakpoints::className() const
{
    return "XsldbgBreakpoints";
}

TQMetaObject *XsldbgBreakpoints::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_XsldbgBreakpoints( "XsldbgBreakpoints", &XsldbgBreakpoints::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString XsldbgBreakpoints::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "XsldbgBreakpoints", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString XsldbgBreakpoints::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "XsldbgBreakpoints", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* XsldbgBreakpoints::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"slotClear", 0, 0 };
    static const TQUMethod slot_1 = {"refresh", 0, 0 };
    static const TQUParameter param_slot_2[] = {
	{ 0, &static_QUType_ptr, "TQListViewItem", TQUParameter::In }
    };
    static const TQUMethod slot_2 = {"selectionChanged", 1, param_slot_2 };
    static const TQUMethod slot_3 = {"slotAddBreakpoint", 0, 0 };
    static const TQUMethod slot_4 = {"slotDeleteBreakpoint", 0, 0 };
    static const TQUMethod slot_5 = {"slotEnableBreakpoint", 0, 0 };
    static const TQUMethod slot_6 = {"slotAddAllTemplateBreakpoints", 0, 0 };
    static const TQUMethod slot_7 = {"slotDeleteAllBreakpoints", 0, 0 };
    static const TQUMethod slot_8 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "slotClear()", &slot_0, TQMetaData::Public },
	{ "refresh()", &slot_1, TQMetaData::Public },
	{ "selectionChanged(TQListViewItem*)", &slot_2, TQMetaData::Public },
	{ "slotAddBreakpoint()", &slot_3, TQMetaData::Public },
	{ "slotDeleteBreakpoint()", &slot_4, TQMetaData::Public },
	{ "slotEnableBreakpoint()", &slot_5, TQMetaData::Public },
	{ "slotAddAllTemplateBreakpoints()", &slot_6, TQMetaData::Public },
	{ "slotDeleteAllBreakpoints()", &slot_7, TQMetaData::Public },
	{ "languageChange()", &slot_8, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"XsldbgBreakpoints", parentObject,
	slot_tbl, 9,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_XsldbgBreakpoints.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* XsldbgBreakpoints::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "XsldbgBreakpoints" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool XsldbgBreakpoints::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: slotClear(); break;
    case 1: refresh(); break;
    case 2: selectionChanged((TQListViewItem*)static_QUType_ptr.get(_o+1)); break;
    case 3: slotAddBreakpoint(); break;
    case 4: slotDeleteBreakpoint(); break;
    case 5: slotEnableBreakpoint(); break;
    case 6: slotAddAllTemplateBreakpoints(); break;
    case 7: slotDeleteAllBreakpoints(); break;
    case 8: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool XsldbgBreakpoints::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool XsldbgBreakpoints::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool XsldbgBreakpoints::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
