#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'xsldbgcallstack.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "xsldbgcallstack.h"

#include <ntqvariant.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a XsldbgCallStack as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
XsldbgCallStack::XsldbgCallStack( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "XsldbgCallStack" );
    XsldbgCallStackLayout = new TQGridLayout( this, 1, 1, 11, 6, "XsldbgCallStackLayout"); 

    callStackListView = new TQListView( this, "callStackListView" );
    callStackListView->addColumn( tr2i18n( "Frame# Template Name" ) );
    callStackListView->addColumn( tr2i18n( "Source File Name" ) );
    callStackListView->addColumn( tr2i18n( "Line Number" ) );
    callStackListView->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)3, 0, 0, callStackListView->sizePolicy().hasHeightForWidth() ) );

    XsldbgCallStackLayout->addWidget( callStackListView, 0, 0 );

    Layout3 = new TQHBoxLayout( 0, 0, 6, "Layout3"); 
    Spacer4 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout3->addItem( Spacer4 );

    refreshBtn = new TQPushButton( this, "refreshBtn" );
    Layout3->addWidget( refreshBtn );
    Spacer5 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout3->addItem( Spacer5 );

    XsldbgCallStackLayout->addLayout( Layout3, 1, 0 );
    languageChange();
    resize( TQSize(520, 391).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( callStackListView, TQ_SIGNAL( selectionChanged(TQListViewItem*) ), this, TQ_SLOT( selectionChanged(TQListViewItem*) ) );
    connect( refreshBtn, TQ_SIGNAL( clicked() ), this, TQ_SLOT( refresh() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
XsldbgCallStack::~XsldbgCallStack()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void XsldbgCallStack::languageChange()
{
    setCaption( tr2i18n( "Xsldbg Callstack" ) );
    callStackListView->header()->setLabel( 0, tr2i18n( "Frame# Template Name" ) );
    callStackListView->header()->setLabel( 1, tr2i18n( "Source File Name" ) );
    callStackListView->header()->setLabel( 2, tr2i18n( "Line Number" ) );
    TQToolTip::add( callStackListView, tr2i18n( "Oldest Frame # is 0, Frame # has been added to the first column" ) );
    refreshBtn->setText( tr2i18n( "Refresh" ) );
}

void XsldbgCallStack::refresh()
{
    tqWarning( "XsldbgCallStack::refresh(): Not implemented yet" );
}

void XsldbgCallStack::selectionChanged(TQListViewItem*)
{
    tqWarning( "XsldbgCallStack::selectionChanged(TQListViewItem*): Not implemented yet" );
}

/****************************************************************************
** XsldbgCallStack meta object code from reading C++ file 'xsldbgcallstack.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "xsldbgcallstack.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *XsldbgCallStack::className() const
{
    return "XsldbgCallStack";
}

TQMetaObject *XsldbgCallStack::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_XsldbgCallStack( "XsldbgCallStack", &XsldbgCallStack::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString XsldbgCallStack::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "XsldbgCallStack", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString XsldbgCallStack::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "XsldbgCallStack", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* XsldbgCallStack::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"refresh", 0, 0 };
    static const TQUParameter param_slot_1[] = {
	{ 0, &static_QUType_ptr, "TQListViewItem", TQUParameter::In }
    };
    static const TQUMethod slot_1 = {"selectionChanged", 1, param_slot_1 };
    static const TQUMethod slot_2 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "refresh()", &slot_0, TQMetaData::Public },
	{ "selectionChanged(TQListViewItem*)", &slot_1, TQMetaData::Public },
	{ "languageChange()", &slot_2, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"XsldbgCallStack", parentObject,
	slot_tbl, 3,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_XsldbgCallStack.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* XsldbgCallStack::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "XsldbgCallStack" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool XsldbgCallStack::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: refresh(); break;
    case 1: selectionChanged((TQListViewItem*)static_QUType_ptr.get(_o+1)); break;
    case 2: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool XsldbgCallStack::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool XsldbgCallStack::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool XsldbgCallStack::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
