#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'xsldbgglobalvariables.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "xsldbgglobalvariables.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqlabel.h>
#include <ntqlineedit.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a XsldbgGlobalVariables as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
XsldbgGlobalVariables::XsldbgGlobalVariables( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "XsldbgGlobalVariables" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    XsldbgGlobalVariablesLayout = new TQGridLayout( this, 1, 1, 11, 6, "XsldbgGlobalVariablesLayout"); 

    varsListView = new TQListView( this, "varsListView" );
    varsListView->addColumn( tr2i18n( "Name" ) );
    varsListView->addColumn( tr2i18n( "Source File" ) );
    varsListView->addColumn( tr2i18n( "Source Line Number" ) );
    varsListView->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)3, 0, 0, varsListView->sizePolicy().hasHeightForWidth() ) );

    XsldbgGlobalVariablesLayout->addWidget( varsListView, 2, 0 );
    Spacer3 = new TQSpacerItem( 20, 21, TQSizePolicy::Minimum, TQSizePolicy::Fixed );
    XsldbgGlobalVariablesLayout->addItem( Spacer3, 1, 0 );

    Layout4 = new TQHBoxLayout( 0, 0, 6, "Layout4"); 
    Spacer1 = new TQSpacerItem( 20, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    Layout4->addItem( Spacer1 );

    Layout1 = new TQHBoxLayout( 0, 0, 6, "Layout1"); 

    TextLabel1 = new TQLabel( this, "TextLabel1" );
    Layout1->addWidget( TextLabel1 );

    expressionEdit = new TQLineEdit( this, "expressionEdit" );
    Layout1->addWidget( expressionEdit );
    Layout4->addLayout( Layout1 );
    Spacer2 = new TQSpacerItem( 20, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    Layout4->addItem( Spacer2 );

    expressionButton = new TQPushButton( this, "expressionButton" );
    Layout4->addWidget( expressionButton );

    XsldbgGlobalVariablesLayout->addLayout( Layout4, 0, 0 );

    Layout3 = new TQHBoxLayout( 0, 0, 6, "Layout3"); 
    Spacer4 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout3->addItem( Spacer4 );

    refreshBtn = new TQPushButton( this, "refreshBtn" );
    Layout3->addWidget( refreshBtn );
    Spacer5 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout3->addItem( Spacer5 );

    XsldbgGlobalVariablesLayout->addLayout( Layout3, 3, 0 );
    languageChange();
    resize( TQSize(639, 342).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( expressionButton, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotEvaluate() ) );
    connect( refreshBtn, TQ_SIGNAL( clicked() ), this, TQ_SLOT( refresh() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
XsldbgGlobalVariables::~XsldbgGlobalVariables()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void XsldbgGlobalVariables::languageChange()
{
    setCaption( tr2i18n( "Xsldbg Global Variables" ) );
    varsListView->header()->setLabel( 0, tr2i18n( "Name" ) );
    varsListView->header()->setLabel( 1, tr2i18n( "Source File" ) );
    varsListView->header()->setLabel( 2, tr2i18n( "Source Line Number" ) );
    TextLabel1->setText( tr2i18n( "Expression:" ) );
    TQToolTip::add( expressionEdit, tr2i18n( "Enter a valid XPath expression" ) );
    expressionButton->setText( tr2i18n( "Evaluate" ) );
    TQToolTip::add( expressionButton, tr2i18n( "Result of evaluation will appear in message window" ) );
    refreshBtn->setText( tr2i18n( "Refresh" ) );
}

void XsldbgGlobalVariables::refresh()
{
    tqWarning( "XsldbgGlobalVariables::refresh(): Not implemented yet" );
}

void XsldbgGlobalVariables::slotEvaluate()
{
    tqWarning( "XsldbgGlobalVariables::slotEvaluate(): Not implemented yet" );
}

/****************************************************************************
** XsldbgGlobalVariables meta object code from reading C++ file 'xsldbgglobalvariables.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "xsldbgglobalvariables.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *XsldbgGlobalVariables::className() const
{
    return "XsldbgGlobalVariables";
}

TQMetaObject *XsldbgGlobalVariables::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_XsldbgGlobalVariables( "XsldbgGlobalVariables", &XsldbgGlobalVariables::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString XsldbgGlobalVariables::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "XsldbgGlobalVariables", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString XsldbgGlobalVariables::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "XsldbgGlobalVariables", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* XsldbgGlobalVariables::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"refresh", 0, 0 };
    static const TQUMethod slot_1 = {"slotEvaluate", 0, 0 };
    static const TQUMethod slot_2 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "refresh()", &slot_0, TQMetaData::Public },
	{ "slotEvaluate()", &slot_1, TQMetaData::Public },
	{ "languageChange()", &slot_2, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"XsldbgGlobalVariables", parentObject,
	slot_tbl, 3,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_XsldbgGlobalVariables.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* XsldbgGlobalVariables::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "XsldbgGlobalVariables" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool XsldbgGlobalVariables::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: refresh(); break;
    case 1: slotEvaluate(); break;
    case 2: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool XsldbgGlobalVariables::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool XsldbgGlobalVariables::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool XsldbgGlobalVariables::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
