#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'xsldbglocalvariables.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "xsldbglocalvariables.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqlineedit.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a XsldbgLocalVariables as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
XsldbgLocalVariables::XsldbgLocalVariables( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "XsldbgLocalVaraibles" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    XsldbgLocalVaraiblesLayout = new TQVBoxLayout( this, 11, 6, "XsldbgLocalVaraiblesLayout"); 

    Layout7 = new TQHBoxLayout( 0, 0, 6, "Layout7"); 
    Spacer1 = new TQSpacerItem( 20, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    Layout7->addItem( Spacer1 );

    Layout1 = new TQHBoxLayout( 0, 0, 6, "Layout1"); 

    TextLabel1 = new TQLabel( this, "TextLabel1" );
    Layout1->addWidget( TextLabel1 );

    expressionEdit = new TQLineEdit( this, "expressionEdit" );
    Layout1->addWidget( expressionEdit );
    Layout7->addLayout( Layout1 );
    Spacer2 = new TQSpacerItem( 20, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    Layout7->addItem( Spacer2 );

    expressionButton = new TQPushButton( this, "expressionButton" );
    Layout7->addWidget( expressionButton );
    XsldbgLocalVaraiblesLayout->addLayout( Layout7 );
    Spacer3 = new TQSpacerItem( 20, 21, TQSizePolicy::Minimum, TQSizePolicy::Fixed );
    XsldbgLocalVaraiblesLayout->addItem( Spacer3 );

    varsListView = new TQListView( this, "varsListView" );
    varsListView->addColumn( tr2i18n( "Name" ) );
    varsListView->addColumn( tr2i18n( "Template Context" ) );
    varsListView->addColumn( tr2i18n( "Type" ) );
    varsListView->addColumn( tr2i18n( "Source File" ) );
    varsListView->addColumn( tr2i18n( "Source Line Number" ) );
    varsListView->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)3, (TQSizePolicy::SizeType)3, 0, 0, varsListView->sizePolicy().hasHeightForWidth() ) );
    XsldbgLocalVaraiblesLayout->addWidget( varsListView );

    layout6 = new TQGridLayout( 0, 1, 1, 0, 6, "layout6"); 

    textLabel4 = new TQLabel( this, "textLabel4" );

    layout6->addWidget( textLabel4, 2, 0 );

    variableName = new TQLineEdit( this, "variableName" );

    layout6->addWidget( variableName, 0, 1 );

    variableType = new TQLabel( this, "variableType" );

    layout6->addWidget( variableType, 1, 1 );

    textLabel2 = new TQLabel( this, "textLabel2" );

    layout6->addWidget( textLabel2, 1, 0 );

    layout8 = new TQHBoxLayout( 0, 0, 6, "layout8"); 

    xPathEdit = new TQLineEdit( this, "xPathEdit" );
    layout8->addWidget( xPathEdit );

    setExpressionButton = new TQPushButton( this, "setExpressionButton" );
    layout8->addWidget( setExpressionButton );

    layout6->addLayout( layout8, 2, 1 );

    textLabel2_2 = new TQLabel( this, "textLabel2_2" );

    layout6->addWidget( textLabel2_2, 0, 0 );
    XsldbgLocalVaraiblesLayout->addLayout( layout6 );

    Layout3 = new TQHBoxLayout( 0, 0, 6, "Layout3"); 
    Spacer4 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout3->addItem( Spacer4 );

    refreshBtn = new TQPushButton( this, "refreshBtn" );
    Layout3->addWidget( refreshBtn );
    Spacer5 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout3->addItem( Spacer5 );
    XsldbgLocalVaraiblesLayout->addLayout( Layout3 );
    languageChange();
    resize( TQSize(690, 473).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( expressionButton, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotEvaluate() ) );
    connect( refreshBtn, TQ_SIGNAL( clicked() ), this, TQ_SLOT( refresh() ) );
    connect( setExpressionButton, TQ_SIGNAL( clicked() ), this, TQ_SLOT( slotSetExpression() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
XsldbgLocalVariables::~XsldbgLocalVariables()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void XsldbgLocalVariables::languageChange()
{
    setCaption( tr2i18n( "Xsldbg Local Variables" ) );
    TextLabel1->setText( tr2i18n( "Expression:" ) );
    TQToolTip::add( expressionEdit, tr2i18n( "Enter a valid XPath expression" ) );
    expressionButton->setText( tr2i18n( "Evaluate" ) );
    TQToolTip::add( expressionButton, tr2i18n( "Result of evaluation will appear in message window" ) );
    varsListView->header()->setLabel( 0, tr2i18n( "Name" ) );
    varsListView->header()->setLabel( 1, tr2i18n( "Template Context" ) );
    varsListView->header()->setLabel( 2, tr2i18n( "Type" ) );
    varsListView->header()->setLabel( 3, tr2i18n( "Source File" ) );
    varsListView->header()->setLabel( 4, tr2i18n( "Source Line Number" ) );
    textLabel4->setText( tr2i18n( "Variable expression:" ) );
    variableType->setText( TQString::null );
    textLabel2->setText( tr2i18n( "Variable type:" ) );
    setExpressionButton->setText( tr2i18n( "Set Expression" ) );
    TQToolTip::add( setExpressionButton, tr2i18n( "Set the selection for variable " ) );
    textLabel2_2->setText( tr2i18n( "Variable name:" ) );
    refreshBtn->setText( tr2i18n( "Refresh" ) );
}

void XsldbgLocalVariables::refresh()
{
    tqWarning( "XsldbgLocalVariables::refresh(): Not implemented yet" );
}

void XsldbgLocalVariables::slotEvaluate()
{
    tqWarning( "XsldbgLocalVariables::slotEvaluate(): Not implemented yet" );
}

void XsldbgLocalVariables::slotSetExpression()
{
    tqWarning( "XsldbgLocalVariables::slotSetExpression(): Not implemented yet" );
}

/****************************************************************************
** XsldbgLocalVariables meta object code from reading C++ file 'xsldbglocalvariables.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "xsldbglocalvariables.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *XsldbgLocalVariables::className() const
{
    return "XsldbgLocalVariables";
}

TQMetaObject *XsldbgLocalVariables::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_XsldbgLocalVariables( "XsldbgLocalVariables", &XsldbgLocalVariables::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString XsldbgLocalVariables::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "XsldbgLocalVariables", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString XsldbgLocalVariables::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "XsldbgLocalVariables", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* XsldbgLocalVariables::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"refresh", 0, 0 };
    static const TQUMethod slot_1 = {"slotEvaluate", 0, 0 };
    static const TQUMethod slot_2 = {"slotSetExpression", 0, 0 };
    static const TQUMethod slot_3 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "refresh()", &slot_0, TQMetaData::Public },
	{ "slotEvaluate()", &slot_1, TQMetaData::Public },
	{ "slotSetExpression()", &slot_2, TQMetaData::Public },
	{ "languageChange()", &slot_3, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"XsldbgLocalVariables", parentObject,
	slot_tbl, 4,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_XsldbgLocalVariables.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* XsldbgLocalVariables::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "XsldbgLocalVariables" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool XsldbgLocalVariables::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: refresh(); break;
    case 1: slotEvaluate(); break;
    case 2: slotSetExpression(); break;
    case 3: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool XsldbgLocalVariables::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool XsldbgLocalVariables::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool XsldbgLocalVariables::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
