#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'xsldbgentities.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "xsldbgentities.h"

#include <ntqvariant.h>
#include <ntqheader.h>
#include <ntqlistview.h>
#include <ntqpushbutton.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a XsldbgEntities as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
XsldbgEntities::XsldbgEntities( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "XsldbgEntities" );
    setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    XsldbgEntitiesLayout = new TQGridLayout( this, 1, 1, 11, 6, "XsldbgEntitiesLayout"); 

    entitiesListView = new TQListView( this, "entitiesListView" );
    entitiesListView->addColumn( tr2i18n( "PublicID" ) );
    entitiesListView->addColumn( tr2i18n( "SystemID" ) );
    entitiesListView->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, entitiesListView->sizePolicy().hasHeightForWidth() ) );

    XsldbgEntitiesLayout->addWidget( entitiesListView, 0, 0 );
    Spacer3_2_2 = new TQSpacerItem( 20, 20, TQSizePolicy::Minimum, TQSizePolicy::Fixed );
    XsldbgEntitiesLayout->addItem( Spacer3_2_2, 3, 0 );

    Layout3 = new TQHBoxLayout( 0, 0, 6, "Layout3"); 
    Spacer4 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout3->addItem( Spacer4 );

    refreshBtn = new TQPushButton( this, "refreshBtn" );
    Layout3->addWidget( refreshBtn );
    Spacer5 = new TQSpacerItem( 20, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    Layout3->addItem( Spacer5 );

    XsldbgEntitiesLayout->addLayout( Layout3, 4, 0 );
    languageChange();
    resize( TQSize(610, 464).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( refreshBtn, TQ_SIGNAL( clicked() ), this, TQ_SLOT( refresh() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
XsldbgEntities::~XsldbgEntities()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void XsldbgEntities::languageChange()
{
    setCaption( tr2i18n( "Xsldbg Entities" ) );
    entitiesListView->header()->setLabel( 0, tr2i18n( "PublicID" ) );
    entitiesListView->header()->setLabel( 1, tr2i18n( "SystemID" ) );
    refreshBtn->setText( tr2i18n( "Refresh" ) );
}

void XsldbgEntities::refresh()
{
    tqWarning( "XsldbgEntities::refresh(): Not implemented yet" );
}

/****************************************************************************
** XsldbgEntities meta object code from reading C++ file 'xsldbgentities.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "xsldbgentities.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *XsldbgEntities::className() const
{
    return "XsldbgEntities";
}

TQMetaObject *XsldbgEntities::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_XsldbgEntities( "XsldbgEntities", &XsldbgEntities::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString XsldbgEntities::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "XsldbgEntities", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString XsldbgEntities::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "XsldbgEntities", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* XsldbgEntities::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"refresh", 0, 0 };
    static const TQUMethod slot_1 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "refresh()", &slot_0, TQMetaData::Public },
	{ "languageChange()", &slot_1, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"XsldbgEntities", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_XsldbgEntities.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* XsldbgEntities::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "XsldbgEntities" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool XsldbgEntities::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: refresh(); break;
    case 1: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool XsldbgEntities::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool XsldbgEntities::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool XsldbgEntities::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
